%define  ver     0.36
%define  rel     1
%define  prefix  /usr

Summary: The full-featured GNOME spreadsheet.
Name: gnumeric
Version: %ver
Release: %rel
Copyright: GPL
Group: Applications/Productivity
#Source: ftp://ftp.gnome.org/pub/GNOME/sources/gnumeric/gnumeric-%{ver}.tar.gz
Source: gnumeric-%{ver}.tar.bz2
Url:http://www.gnome.org/gnumeric
BuildRoot:/var/tmp/gnumeric-%{PACKAGE_VERSION}-root
Docdir: %{prefix}/doc

%description
GNOME is the GNU Network Object Model Environment. This powerful
environment is both easy to use and easy to configure.

This package will install Gnumeric the GNOME spreadsheet
program. This program is intended to be a replacement for
a commercial spreadsheet, so quite a bit of work has gone
into the program.

Install this package if you want to use the GNOME
spreadsheet Gnumeric.

%prep
%setup -q

%build
CFLAGS="$RPM_OPT_FLAGS" ./configure --prefix=%prefix --sysconfdir=/etc
if [ "$SMP" != "" ]; then
	make -j$SMP "MAKE=make -j$SMP"
else
	make
fi

%install
rm -rf $RPM_BUILD_ROOT
make prefix=$RPM_BUILD_ROOT%{prefix} sysconfdir=$RPM_BUILD_ROOT/etc install

# strip binaries
strip `file $RPM_BUILD_ROOT/%{prefix}/bin/* | awk -F':' '/executable/ { print $1 }'`

%clean
rm -rf $RPM_BUILD_ROOT

%changelog

* Sun Sep 12 1999 Peter Hanecak <hanecak@megaloman.sk>
- version 0.35
- spec tweaked slightly (changes are from original gnumeris spec)

* Wed Jul 07 1999 Michael Fulbright <drmike@redhat.com>
- version 0.27

* Wed Apr 07 1999 Michael Fulbright <drmike@redhat.com>
- version 0.23

* Wed Mar 31 1999 Michael Fulbright <drmike@redhat.com>
- version 0.21

* Tue Mar 30 1999 Michael Fulbright <drmike@redhat.com>
- version 0.20

* Fri Mar 19 1999 Michael Fulbright <drmike@redhat.com>
- strip binaries

* Sun Mar 14 1999 Michael Fulbright <drmike@redhat.com>
- version 0.17 AND 0.18

* Wed Mar 10 1999 Michael Fulbright <drmike@redhat.com>
- version 0.16

* Sun Feb 21 1999 Michael Fulbright <drmike@redhat.com>
- fixed source line and removed libtoolize from %build

* Mon Feb 11 1999 Michael Fulbright <drmike@redhat.com>
- version 0.11

* Sun Feb 07 1999 Matt Wilson <msw@redhat.com>
- version 0.9

* Wed Feb 03 1999 Michael Fulbright <drmike@redhat.com>
- version 0.8.1

* Mon Jan 18 1999 Michael Fulbright <drmike@redhat.com>
- version 0.7

* Wed Jan 06 1999 Michael Fulbright <drmike@redhat.com>
- version 0.6

* Wed Dec 16 1998 Michael Fulbright <drmike@redhat.com>
- updated for GNOME freeze

* Thu Sep 24 1998 Michael Fulbright <msf@redhat.com>
- Version 0.2

%files
%defattr(-, root, root)

%doc HACKING AUTHORS ChangeLog NEWS README COPYING TODO

%{prefix}/bin/*
%{prefix}/lib/gnumeric/plugins/*
%{prefix}/share/locale/*/*
%{prefix}/share/gnome/apps/Applications/gnumeric.desktop
%{prefix}/share/gnome/help/gnumeric
%{prefix}/share/idl/Gnumeric.idl
%{prefix}/share/mc/templates/*
%{prefix}/share/mime-info/*
%{prefix}/share/pixmaps/*
%{prefix}/share/gnumeric/*

%config /etc/CORBA/servers/*
